import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { ChartProvider, ChartView, XaxisType, YaxisType } from '@oneteme/jquery-core';
import { ChartCustomEvent } from './utils';
import * as i0 from "@angular/core";
export declare class LineChartDirective<X extends XaxisType, Y extends YaxisType> implements ChartView<X, Y>, OnChanges, OnDestroy {
    private readonly el;
    private readonly ngZone;
    private readonly chartInstance;
    private _chartConfig;
    private _options;
    debug: boolean;
    data: any[];
    customEvent: EventEmitter<ChartCustomEvent>;
    /**
     * Setter pour l'état de chargement
     */
    set isLoading(isLoading: boolean);
    /**
     * Setter pour la gestion du type
     */
    set type(type: 'line' | 'area');
    /**
     * Setter pour la configuration du graphique
     */
    set config(config: ChartProvider<X, Y>);
    constructor();
    /**
     * Initialise le graphique ApexCharts
     */
    init(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private hydrate;
    private updateChartOptions;
    private updateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<LineChartDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LineChartDirective<any, any>, "[line-chart]", never, { "debug": { "alias": "debug"; "required": false; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; "type": { "alias": "type"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
